Package xg.protocol.messages

# Enum Class ProtocolPrivMessages.protocolPrivAck.denialReason

java.lang.Object
java.lang.Enum<ProtocolPrivMessages.protocolPrivAck.denialReason>
xg.protocol.messages.ProtocolPrivMessages.protocolPrivAck.denialReason

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `Serializable`, `Comparable<ProtocolPrivMessages.protocolPrivAck.denialReason>`, `Constable`

Enclosing class:
  ProtocolPrivMessages.protocolPrivAck

public static enum ProtocolPrivMessages.protocolPrivAck.denialReason extends Enum<ProtocolPrivMessages.protocolPrivAck.denialReason> implements ProtocolMessageEnum
Protobuf enum `xg.protocol.messages.protocolPrivAck.denialReason`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAD_REQUEST`
`BAD_REQUEST = 3;`
`INVALID_IDENTITY`
`INVALID_IDENTITY = 4;`
`MALFORMED_DATA`
`MALFORMED_DATA = 1;`
`NONE`
`NONE = 0;`
`PROTOCOL_NOT_ENABLED`
`PROTOCOL_NOT_ENABLED = 5;`
`UNHANDLEABLE_VERSION`
`UNHANDLEABLE_VERSION = 2;`
`UNRECOGNIZED`
`UNSUPPORTED_PROTOCOL`
`UNSUPPORTED_PROTOCOL = 6;`
`UNSUPPORTED_PROTOCOL_VERSION`
`UNSUPPORTED_PROTOCOL_VERSION = 7;`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BAD_REQUEST_VALUE`
`BAD_REQUEST = 3;`
`static final int`
`INVALID_IDENTITY_VALUE`
`INVALID_IDENTITY = 4;`
`static final int`
`MALFORMED_DATA_VALUE`
`MALFORMED_DATA = 1;`
`static final int`
`NONE_VALUE`
`NONE = 0;`
`static final int`
`PROTOCOL_NOT_ENABLED_VALUE`
`PROTOCOL_NOT_ENABLED = 5;`
`static final int`
`UNHANDLEABLE_VERSION_VALUE`
`UNHANDLEABLE_VERSION = 2;`
`static final int`
`UNSUPPORTED_PROTOCOL_VALUE`
`UNSUPPORTED_PROTOCOL = 6;`
`static final int`
`UNSUPPORTED_PROTOCOL_VERSION_VALUE`
`UNSUPPORTED_PROTOCOL_VERSION = 7;`

## Method Summary

Modifier and Type
Method
Description
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
`forNumber(int value)`
`static final Descriptors.EnumDescriptor`
`getDescriptor()`
`final Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`final int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`final Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<ProtocolPrivMessages.protocolPrivAck.denialReason>`
`internalGetValueMap()`
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
`valueOf(int value)`
Deprecated.
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivAck.denialReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivAck.denialReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ProtocolPrivMessages.protocolPrivAck.denialReason NONE
`NONE = 0;`

### MALFORMED_DATA

public static final ProtocolPrivMessages.protocolPrivAck.denialReason MALFORMED_DATA
`MALFORMED_DATA = 1;`

### UNHANDLEABLE_VERSION

public static final ProtocolPrivMessages.protocolPrivAck.denialReason UNHANDLEABLE_VERSION
`UNHANDLEABLE_VERSION = 2;`

### BAD_REQUEST

public static final ProtocolPrivMessages.protocolPrivAck.denialReason BAD_REQUEST
`BAD_REQUEST = 3;`

### INVALID_IDENTITY

public static final ProtocolPrivMessages.protocolPrivAck.denialReason INVALID_IDENTITY
`INVALID_IDENTITY = 4;`

### PROTOCOL_NOT_ENABLED

public static final ProtocolPrivMessages.protocolPrivAck.denialReason PROTOCOL_NOT_ENABLED
`PROTOCOL_NOT_ENABLED = 5;`

### UNSUPPORTED_PROTOCOL

public static final ProtocolPrivMessages.protocolPrivAck.denialReason UNSUPPORTED_PROTOCOL
`UNSUPPORTED_PROTOCOL = 6;`

### UNSUPPORTED_PROTOCOL_VERSION

public static final ProtocolPrivMessages.protocolPrivAck.denialReason UNSUPPORTED_PROTOCOL_VERSION
`UNSUPPORTED_PROTOCOL_VERSION = 7;`

### UNRECOGNIZED

public static final ProtocolPrivMessages.protocolPrivAck.denialReason UNRECOGNIZED

## Field Details

### NONE_VALUE

public static final int NONE_VALUE
`NONE = 0;`

See Also:
  - Constant Field Values

### MALFORMED_DATA_VALUE

public static final int MALFORMED_DATA_VALUE
`MALFORMED_DATA = 1;`

See Also:
  - Constant Field Values

### UNHANDLEABLE_VERSION_VALUE

public static final int UNHANDLEABLE_VERSION_VALUE
`UNHANDLEABLE_VERSION = 2;`

See Also:
  - Constant Field Values

### BAD_REQUEST_VALUE

public static final int BAD_REQUEST_VALUE
`BAD_REQUEST = 3;`

See Also:
  - Constant Field Values

### INVALID_IDENTITY_VALUE

public static final int INVALID_IDENTITY_VALUE
`INVALID_IDENTITY = 4;`

See Also:
  - Constant Field Values

### PROTOCOL_NOT_ENABLED_VALUE

public static final int PROTOCOL_NOT_ENABLED_VALUE
`PROTOCOL_NOT_ENABLED = 5;`

See Also:
  - Constant Field Values

### UNSUPPORTED_PROTOCOL_VALUE

public static final int UNSUPPORTED_PROTOCOL_VALUE
`UNSUPPORTED_PROTOCOL = 6;`

See Also:
  - Constant Field Values

### UNSUPPORTED_PROTOCOL_VERSION_VALUE

public static final int UNSUPPORTED_PROTOCOL_VERSION_VALUE
`UNSUPPORTED_PROTOCOL_VERSION = 7;`

See Also:
  - Constant Field Values

## Method Details

### values

public static ProtocolPrivMessages.protocolPrivAck.denialReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolPrivMessages.protocolPrivAck.denialReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()
Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

### valueOf

@Deprecated public static ProtocolPrivMessages.protocolPrivAck.denialReason valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ProtocolPrivMessages.protocolPrivAck.denialReason forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static Internal.EnumLiteMap<ProtocolPrivMessages.protocolPrivAck.denialReason> internalGetValueMap()

### getValueDescriptor

public final Descriptors.EnumValueDescriptor getValueDescriptor()
Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

### getDescriptorForType

public final Descriptors.EnumDescriptor getDescriptorForType()
Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

### getDescriptor

public static final Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ProtocolPrivMessages.protocolPrivAck.denialReason valueOf(Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null